Subject: Fwd: [X2Go-Dev] Bug#667: Bug#667: Wrong language in Windows 7 x64 SP1 client

From: Stefan Baur <[email-masked]>
Date: Fri, 07 Nov 2014 18:48:47 +0100

retitle -1 add option to change x2goclient language
priority: wishlist

Let's see if I got this right ;-)

-------- Weitergeleitete Nachricht --------
Betreff: 	[X2Go-Dev] Bug#667: Bug#667: Wrong language in Windows 7 x64
SP1 client
Datum: 	Fri, 7 Nov 2014 18:46:04 +0100
Von: 	Diego Costantini <[email-masked]>
An: 	[email-masked]

Thanks Stefan,
I understand now the meaning of what is implemented.
However, since the localization is already within the application and
selected based on the regional settings, would it be possible to add a
settings field to explicitly choose it?

I have an english US windows, with english UK keyboard, and German
region (because of number notation mostly).
AFAIK this combination happens quite often as soon as you move outside
your country (to work), and it doesn't mean that your are familiar
enough with the foreign language, so I think this is a valid use case.

Also, I suppose the implementation effort without be reasonable having
localization already in place.

I hope this will get through :p

On Fri, Nov 7, 2014 at 6:25 PM, <[email-masked]
<mailto:[email-masked]>> wrote:

    Send x2go-dev mailing list submissions to
    Â  Â  Â  Â  [email-masked] <mailto:[email-masked]>

    To subscribe or unsubscribe via the World Wide Web, visit
    Â  Â  Â  Â  http://lists.x2go.org/listinfo/x2go-dev
    or, via email, send a message with subject or body 'help' to
    Â  Â  Â  Â  [email-masked]
    <mailto:[email-masked]>

    You can reach the person managing the list at
    Â  Â  Â  Â  [email-masked]
    <mailto:[email-masked]>

    When replying, please edit your Subject line so it is more specific
    than "Re: Contents of x2go-dev digest..."

    Today's Topics:

    Â  Â 1. Processed: your mail (X2Go Bug Tracking System)
    Â  Â 2. Processed: let's consider fixing #205 as proposed inÂ  Â  Â
    that bug
    Â  Â  Â  report (X2Go Bug Tracking System)
    Â  Â 3. Bug#668: [Patch] Replace "echo -n" with printf (Lars Wendler)
    Â  Â 4. Bug#669: Keyboard layout is wrong (Albrecht, Daniel S.)
    Â  Â 5. Bug#667: Wrong language in Windows 7 x64 SP1 client
    Â  Â  Â  (Diego Costantini)
    Â  Â 6. Bug#667: Bug#667: Wrong language in Windows 7 x64 SP1Â  Â
    Â client
    Â  Â  Â  (Stefan Baur)
    Â  Â 7. Bug#667: Bug#667: Wrong language in Windows 7 x64 SP1Â  Â
    Â client
    Â  Â  Â  (Stefan Baur)

    ----------------------------------------------------------------------

    Message: 1
    Date: Fri, 07 Nov 2014 12:55:02 +0000
    From: [email-masked] <mailto:[email-masked]> (X2Go Bug
    Tracking System)
    To: Mike Gabriel <[email-masked]
    <mailto:[email-masked]>>
    Cc: [email-masked] <mailto:[email-masked]>,
    [email-masked] <mailto:[email-masked]>
    Subject: [X2Go-Dev] Processed: your mail
    Message-ID: <[email-masked]
    <mailto:[email-masked]>>
    Content-Type: text/plain; charset=utf-8

    Processing commands for [email-masked]
    <mailto:[email-masked]>:

    > reassign #667 x2goclient
    Bug #667 [x2go client] Wrong language in Windows 7 x64 SP1 client
    Warning: Unknown package 'x2go'
    Warning: Unknown package 'client'
    Bug reassigned from package 'x2go client' to 'x2goclient'.
    No longer marked as found in versions 4.0.3.0.
    Ignoring request to alter fixed versions of bug #667 to the same
    values previously set
    > thanks
    Stopping processing here.

    Please contact me if you need assistance.
    --
    667: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=667
    X2Go Bug Tracking System
    Contact [email-masked] <mailto:[email-masked]> with problems

    ------------------------------

    Message: 2
    Date: Fri, 07 Nov 2014 13:25:02 +0000
    From: [email-masked] <mailto:[email-masked]> (X2Go Bug
    Tracking System)
    To: Mike Gabriel <[email-masked]
    <mailto:[email-masked]>>
    Cc: [email-masked] <mailto:[email-masked]>
    Subject: [X2Go-Dev] Processed: let's consider fixing #205 as proposed
    Â  Â  Â  Â  inÂ  Â  Â  that bug report
    Message-ID: <[email-masked]
    <mailto:[email-masked]>>
    Content-Type: text/plain; charset=utf-8

    Processing commands for [email-masked]
    <mailto:[email-masked]>:

    > unarchive #205
    Bug #205 {Done: Mike Gabriel <[email-masked]
    <mailto:[email-masked]>>} [nx-libs] Patch for fix
    cairo issue
    Unarchived Bug 205
    > reopen #205
    Bug #205 {Done: Mike Gabriel <[email-masked]
    <mailto:[email-masked]>>} [nx-libs] Patch for fix
    cairo issue
    Bug reopened
    Ignoring request to alter fixed versions of bug #205 to the same
    values previously set
    > tag #205 - wontfix
    Bug #205 [nx-libs] Patch for fix cairo issue
    Removed tag(s) wontfix.
    > thanks
    Stopping processing here.

    Please contact me if you need assistance.
    --
    205: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=205
    X2Go Bug Tracking System
    Contact [email-masked] <mailto:[email-masked]> with problems

    ------------------------------

    Message: 3
    Date: Fri, 7 Nov 2014 16:51:42 +0100
    From: Lars Wendler <[email-masked]
    <mailto:[email-masked]>>
    To: [email-masked] <mailto:[email-masked]>
    Subject: [X2Go-Dev] Bug#668: [Patch] Replace "echo -n" with printf
    Message-ID: <[email-masked]>
    Content-Type: text/plain; charset="us-ascii"

    Package: x2goclient
    Version: git master

    Hi,

    at Gentoo latest version of the dash shell doesn't support "echo -n"
    anymore[1]. The result is that x2gpath returns every path with a
    prefixed "-n " when dash is used as /bin/sh.
    Accoring to "man p1 echo" section "APPLICATION USAGE" applications
    should not rely on "echo -n" but use printf instead.
    The attached patch does exactly that.

    Kind regards
    Lars

    [1] https://bugs.gentoo.org/528452

    --
    Lars Wendler
    Gentoo package maintainer
    GPG: 4DD8 C47C CDFA 5295 E1A6 3FC8 F696 74AB 981C A6FC
    -------------- next part --------------
    A non-text attachment was scrubbed...
    Name: 0001-echo-n-cannot-be-expected-to-work-with-every-POSIX-s.patch
    Type: text/x-patch
    Size: 2593 bytes
    Desc: not available
    URL:

<http://lists.x2go.org/pipermail/x2go-dev/attachments/20141107/a9732489/attachment-0001.bin>
    -------------- next part --------------
    A non-text attachment was scrubbed...
    Name: not available
    Type: application/pgp-signature
    Size: 819 bytes
    Desc: Digitale Signatur von OpenPGP
    URL:

<http://lists.x2go.org/pipermail/x2go-dev/attachments/20141107/a9732489/attachment-0001.pgp>

    ------------------------------

    Message: 4
    Date: Fri, 7 Nov 2014 16:49:12 +0000
    From: "Albrecht, Daniel S." <[email-masked]
    <mailto:[email-masked]>>
    To: "[email-masked] <mailto:[email-masked]>"
    <[email-masked] <mailto:[email-masked]>>
    Subject: [X2Go-Dev] Bug#669: Keyboard layout is wrong
    Message-ID:
    Â  Â  Â  Â
    <[email-masked]

<mailto:[email-masked]>>
    Content-Type: text/plain; charset="iso-8859-1"

    Package: keyboard layout
    Version. 2.7.7

    Just yesterday, I attempted to connect remotely to my work desktop
    using X2go and the keyboard layout was completely erratic (e =
    backspace, enter = j, etc.).Â  When I attempt to change the keyboard
    layout in preferences, no matter what input I choose, I get the
    following error:

    Error activating XKB configuration.
    It can happen under various circumstances:
    - a bug in libxklavier library
    - a bug in X server (xkbcomp, xmodmap utilities)
    - X server with incompatible libxkbfile implementation

    X server version data:
    The X.Org Foundation
    70000000

    If you report this situation as a bug, please include:
    - The result of xprop -root | grep XKB
    - The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd

    When I use an X11 terminal to run the xprop and gconftrool-2, I get
    the following responses:

    bash-3.2$ xprop -root|grep XKB
    _XKB_RULES_NAMES(STRING) = "base", "empty", "empty", "", ""

    bash-3.2$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
    bash: gconftool-2: command not found

    I'm also having some connectivity issues, where X2go closes
    unexpectedly at least once before I'm able to log on, I don't know
    if that issue is related to the keyboard one or not.Â  Thank you,

    Dan Albrecht

    The information in this e-mail is intended only for the person to
    whom it is
    addressed. If you believe this e-mail was sent to you in error and
    the e-mail
    contains patient information, please contact the Partners Compliance
    HelpLine at
    http://www.partners.org/complianceline . If the e-mail was sent to
    you in error
    but does not contain patient information, please contact the sender
    and properly
    dispose of the e-mail.
    -------------- next part --------------
    An HTML attachment was scrubbed...
    URL:

<http://lists.x2go.org/pipermail/x2go-dev/attachments/20141107/71e94e9f/attachment-0001.html>

    ------------------------------

    Message: 5
    Date: Fri, 7 Nov 2014 10:05:20 +0100
    From: Diego Costantini <[email-masked]
    <mailto:[email-masked]>>
    To: [email-masked] <mailto:[email-masked]>
    Subject: [X2Go-Dev] Bug#667: Wrong language in Windows 7 x64 SP1
    Â  Â  Â  Â  client
    Message-ID:
    Â  Â  Â  Â
    <CAKHWAcLcdWxFMfa7uwxhHCaucE+H4MOdWs4Nz=[email-masked]
    <mailto:[email-masked]>>
    Content-Type: text/plain; charset="utf-8"

    Package: x2go client
    Version: 4.0.3.0

    Installed the x2go client selecting English, but when I open it, it is
    in German.
    -------------- next part --------------
    An HTML attachment was scrubbed...
    URL:

<http://lists.x2go.org/pipermail/x2go-dev/attachments/20141107/828c1ab9/attachment-0001.html>

    ------------------------------

    Message: 6
    Date: Fri, 07 Nov 2014 18:11:58 +0100
    From: Stefan Baur <[email-masked]
    <mailto:[email-masked]>>
    To: [email-masked] <mailto:[email-masked]>
    Subject: [X2Go-Dev] Bug#667: Bug#667: Wrong language in Windows 7 x64
    Â  Â  Â  Â  SP1Â  Â  Â client
    Message-ID: <[email-masked]
    <mailto:[email-masked]>>
    Content-Type: text/plain; charset=windows-1252

Am 07.11.2014 <tel:07.11.2014> um 10:05 schrieb Diego Costantini:

> Installed the x2go client selecting English, but when I open it, it
> is in German.

The language selection is only for the language of the installer. X2Go
chooses the display language according to the system settings.
I assume you're running x2goclient on Windows, and that Windows is
either a German-Language one, or has German regional settings applied?

If so, I'm inclined to tag this notabug, wontfix, close. ;-)

-Stefan

    ------------------------------

    Message: 7
    Date: Fri, 07 Nov 2014 18:15:44 +0100
    From: Stefan Baur <[email-masked]
    <mailto:[email-masked]>>
    To: [email-masked] <mailto:[email-masked]>
    Subject: [X2Go-Dev] Bug#667: Bug#667: Wrong language in Windows 7 x64
    Â  Â  Â  Â  SP1Â  Â  Â client
    Message-ID: <[email-masked]
    <mailto:[email-masked]>>
    Content-Type: text/plain; charset=windows-1252

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Additional info, pulled from an older message to x2go-user:

    (English path) Control Panel\Clock, Language, and Region\Region and
    Language

    (German path) Systemsteuerung\Zeit, Sprache und Region\Region und
    Sprache

    That setting is what determines the UI language of x2goclient.exe.

    - -Stefan

    - --
    BAUR-ITCS UG (haftungsbeschr?nkt)
    Gesch?ftsf?hrer: Stefan Baur
    Eichen?ckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
    Fon/Fax 0731 40 34 66-36/-35 <tel:0731%2040%2034%2066-36%2F-35> |
    USt-IdNr.: DE268653243
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v2.0.22 (MingW32)

    iQEcBAEBAgAGBQJUXP5AAAoJEG7d9BjNvlEZ5tsH/j+VnNUXusOSFTn4Hm8Sf1BV
    Bf4cbEwfV1uzNcShHUHZK8z6zjErnKPmiaxrRFEj2f6PX7+oCe5inx/LEjqpjaNy
    YGVhhGsyvnW3RHmgytK0zN0Mk3E63HKNefSPQ6cycDsTLOjRJOeAKl16VESorA1J
    LYrfU5KkpuYCuR60mDQVEfI7ruXSieSFJ+woo+E9JH10lAIRURHl02861pXWTbv3
    a0ajiQGO75XqvpVIK9JNm/KH6w+Z0xauaXW1x76cy8t9MQYjiTKcxDzrJk0nkiEI
    kbILA232wD+oFbWzCLb/L3XlYDJMsKQN14E1mIM0Kaki3dfLXr0eDg9V/V9EoaI=
    =thma
    -----END PGP SIGNATURE-----

    ------------------------------

    _______________________________________________
    x2go-dev mailing list
    [email-masked] <mailto:[email-masked]>
    http://lists.x2go.org/listinfo/x2go-dev

    End of x2go-dev Digest, Vol 8, Issue 12
    ***************************************